# Uses of Enum Class
org.eclipse.net4j.util.container.IContainerDelta.Kind

Packages that use IContainerDelta.Kind
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.container.delegate
Hybrid interfaces of notifying containers and the Java Collection Framework.

## Uses of IContainerDelta.Kind in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container that return IContainerDelta.Kind
Modifier and Type
Method
Description
`IContainerDelta.Kind`
ContainerEvent.`getDeltaKind()`
`IContainerDelta.Kind`
IContainerEvent.`getDeltaKind()`
`IContainerDelta.Kind`
SingleDeltaContainerEvent.`getDeltaKind()`
`IContainerDelta.Kind`
ContainerDelta.`getKind()`
`IContainerDelta.Kind`
IContainerDelta.`getKind()`
`static IContainerDelta.Kind`
IContainerDelta.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IContainerDelta.Kind[]`
IContainerDelta.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.container with parameters of type IContainerDelta.Kind
Modifier and Type
Method
Description
`void`
ContainerEvent.`addDelta(E element, IContainerDelta.Kind kind)`
`protected IContainerEvent<E>`
LifecycleEventConverter.`createContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)`
`void`
Container.`fireContainerEvent(E[] elements, IContainerDelta.Kind kind)`
`void`
Container.`fireContainerEvent(E element, IContainerDelta.Kind kind)`
`protected void`
LifecycleEventConverter.`fireContainerEvent(ILifecycleEvent e, IContainerDelta.Kind kind)`
`protected SingleDeltaContainerEvent<E>`
Container.`newContainerEvent(E element, IContainerDelta.Kind kind)`
Constructors in org.eclipse.net4j.util.container with parameters of type IContainerDelta.Kind
Modifier
Constructor
Description
``
`ContainerDelta(E element, IContainerDelta.Kind kind)`
``
`SingleDeltaContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)`

## Uses of IContainerDelta.Kind in org.eclipse.net4j.util.container.delegate

Methods in org.eclipse.net4j.util.container.delegate with parameters of type IContainerDelta.Kind
Modifier and Type
Method
Description
`protected ContainerEvent<E>`
AbstractDelegator.`createEvent(Collection<? super E> c, IContainerDelta.Kind kind)`